USE [testignorefiles]
GO
/****** Object:  Table [dbo].[Alias]    Script Date: 02/12/2019 22:24:29 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Alias](
	[Id] [nvarchar](20) NOT NULL,
	[Title] [nvarchar](max) NULL,
	[SeqNo] [int] NOT NULL,
	[Synonyms] [nvarchar](max) NULL,
 CONSTRAINT [PK_Alias] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[SomeTable]    Script Date: 02/12/2019 22:24:30 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[SomeTable](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[SomeText] [nvarchar](50) NOT NULL,
	[AssignedAlias] [nvarchar](20) NOT NULL,
	[SomeDate] [datetime2](7) NOT NULL,
	[SomeInt] [int] NOT NULL,
 CONSTRAINT [PK_SomeTable] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
INSERT [dbo].[Alias] ([Id], [Title], [SeqNo], [Synonyms]) VALUES (N'HOME1', N'Home', 0, NULL)
INSERT [dbo].[Alias] ([Id], [Title], [SeqNo], [Synonyms]) VALUES (N'HOME2', N'Home 2', 1, NULL)
INSERT [dbo].[Alias] ([Id], [Title], [SeqNo], [Synonyms]) VALUES (N'WORK1', N'Office', 2, NULL)
INSERT [dbo].[Alias] ([Id], [Title], [SeqNo], [Synonyms]) VALUES (N'WORK2', N'Office 2', 3, NULL)
SET IDENTITY_INSERT [dbo].[SomeTable] ON 

INSERT [dbo].[SomeTable] ([Id], [SomeText], [AssignedAlias], [SomeDate], [SomeInt]) VALUES (1, N'some test', N'WORK1', CAST(N'2019-12-04T00:00:00.0000000' AS DateTime2), 100)
INSERT [dbo].[SomeTable] ([Id], [SomeText], [AssignedAlias], [SomeDate], [SomeInt]) VALUES (2, N'test record 2', N'WORK2', CAST(N'2019-12-05T00:00:00.0000000' AS DateTime2), 121)
SET IDENTITY_INSERT [dbo].[SomeTable] OFF
ALTER TABLE [dbo].[SomeTable]  WITH CHECK ADD  CONSTRAINT [FK_Sometable_Alias_AssignedAlias] FOREIGN KEY([AssignedAlias])
REFERENCES [dbo].[Alias] ([Id])
GO
ALTER TABLE [dbo].[SomeTable] CHECK CONSTRAINT [FK_Sometable_Alias_AssignedAlias]
GO
